Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006808OCamlruntime system and C interfacepublic2015-03-11 16:232016-03-23 11:03
Reporterdoligez 
Assigned Todoligez 
PrioritylowSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0006808: the parsing of OCAMLRUNPARAM is too lax
Descriptionconsider the following command line:

  OCAMLRUNPARAM=h=0xb0000a=1 ./a.out

It will run a.out with:

- initial heap size set to 0xb0000a
- backtraces enabled
- first-fit allocation policy

Solution: demand that the options be separated by commas (which is what most users do already) and document the format more precisely.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013805)
doligez (administrator)
2015-05-04 17:45

Fixed in trunk (rev 16074).

Keep this PR open as a reminder to update the LaTeX documentation.
(0015583)
doligez (administrator)
2016-03-23 11:03

manual and man page updated

- Issue History
Date Modified Username Field Change
2015-03-11 16:23 doligez New Issue
2015-03-11 16:23 doligez Status new => assigned
2015-03-11 16:23 doligez Assigned To => doligez
2015-05-04 17:45 doligez Note Added: 0013805
2015-05-04 17:45 doligez Status assigned => confirmed
2015-05-04 17:45 doligez Fixed in Version => 4.03.0+dev / +beta1
2016-03-23 11:03 doligez Note Added: 0015583
2016-03-23 11:03 doligez Status confirmed => closed
2016-03-23 11:03 doligez Resolution open => fixed
2017-02-23 16:43 doligez Category OCaml runtime system => runtime system
2017-03-03 17:45 doligez Category runtime system => runtime system and C interface


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker